Get Points Transfer Summary

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Example request

curl --location 'https://eu.api.capillarytech.com/v2/customers/564955098/pointsTransfers' \
--header 'Authorization: Basic =' \
--header 'Cookie: _cfuvid=SPpJZvR8VvAMacotHKvjCBzkT.A38OIejYNSsGOXido-1757310494558-0.0.1.1-604800000'

Prerequisites

  • Basic or OAuth credentials
  • Read access to Points access group resource

Resource information

URIv2/customers/34301543/pointsTransfers
HTTP methodGET
AuthenticationBasic
Pagination supportYes
Batch SupportNo

Request Headers

Header KeyDescription
AuthorizationBearer token for authentication. Example: Bearer <your_access_token>.
Content-TypeSpecifies the media type of the request. Use application/json for JSON.
AcceptDefines the response format. Example: application/json or application/xml.
X-Capillary-OrgIdUnique organization ID for which the API is being called.
X-Capillary-App-KeyApplication key for API access.
X-CAP-API-OAUTH-TOKENThis header is a custom authentication header used to pass the OAuth access token for API authentication. Refer to https://docs.capillarytech.com/reference/oauth#/

Query parameter

ParameterTypeRequiredDescription
programIdintegerOptionalFilters transfers for a specific loyalty program; typically needed only for multi-program orgs.
entityTypestringOptionalSupported values: CUSTOMER
limitintegerOptionalMaximum number of records to return per page. Default value: 10
offsetintegerOptionalNumber of records to skip before starting to return results. The count starts from 0.\
Default value: 0
pageintegerOptionalPage number to fetch. Default value: 1.
If you provide both, the page value takes priority, and the offset value is ignored.
If you give neither, the API fetches page 1 by default.
sortBystringOptionalField to sort by (e.g., pointsTransferDate, pointsTransferred).
sortOrderstringOptionalSort direction: asc (ascending) or desc (descending). Default: desc.

Path parameter

ParameterTypeRequiredDescription
userIdintegerYesUnique ID of the customer whose points transfer summary is requested.

Response Parameter

ParameterTypeDescription
toEntityIdlongUnique ID of the recipient entity (customer or group).
toEntityTypestringType of the recipient entity (e.g., "CUSTOMER").
fromEntityIdlongUnique ID of the sender entity (customer or group).
fromEntityTypestringType of the sender entity (e.g., "CUSTOMER").
pointsTransferDatestringIndicates the points tranfer date and time in the server time zone in YYYY-MM-DDHH:MM:SS. format.
Note: This field will be deprecated in the future and is being replaced by pointsTransferDateISO.
pointsTransferDateISOstring

Indicates the points transfer date and time in ISO 8601 format, returned in the server time zone.

EU server example
2025-12-16T14:30:45Z → 16 December 2025, 14:30:45 (UTC)

India server example
2025-12-16T14:30:45+05:30 → 16 December 2025, 14:30:45 (IST)

Note: The response time zone always matches the server time zone, regardless of the time zone offset in the request.

pointsTransferreddoubleNumber of points transferred.
transferIdlongUnique ID for the transfer transaction.
transferTypestringType of transfer (e.g., "DEDUCTION" for outgoing, "ADDITION" for incoming).
transferredFromobjectDetails of the sender:
  userIdlongSender's unique ID.
  firstNamestringSender's first name
  lastNamestringSender's last name
transferredToobjectDetails of the recipient:
  userIdlongRecipient's unique ID.
  firstNamestringRecipient's first name
  lastNamestringRecipient's last name
notesstringAdditional notes or comments for the transfer (if provided).
programNamestringName of the loyalty program associated with the transfer.

Example response

{
    "data": [
        {
            "toEntityId": 564955098,
            "toEntityType": "CUSTOMER",
            "fromEntityId": 564955097,
            "fromEntityType": "CUSTOMER",
            "pointsTransferDate": "2025-03-26 17:49:22",
            "pointsTransferDateISO": "2025-03-26T17:49:22Z",
            "pointsTransferred": 40.0,
            "transferId": 1035937,
            "transferType": "ADDITION",
            "transferredFrom": {
                "userId": 564955097,
                "firstName": "testgrp1",
                "lastName": "testgrpv2"
            },
            "transferredTo": {
                "userId": 564955098,
                "firstName": "",
                "lastName": ""
            },
            "notes": "Transferred on 28 feb 2025",
            "programName": "DocDemoDefaultProgram"
        },
        {
            "toEntityId": 564955098,
            "toEntityType": "CUSTOMER",
            "fromEntityId": 564955097,
            "fromEntityType": "CUSTOMER",
            "pointsTransferDate": "2025-03-26 17:49:21",
            "pointsTransferDateISO": "2025-03-26T17:49:21Z",
            "pointsTransferred": 40.0,
            "transferId": 1035936,
            "transferType": "ADDITION",
            "transferredFrom": {
                "userId": 564955097,
                "firstName": "testgrp1",
                "lastName": "testgrpv2"
            },
            "transferredTo": {
                "userId": 564955098,
                "firstName": "",
                "lastName": ""
            },
            "notes": "Transferred on 28 feb 2025",
            "programName": "DocDemoDefaultProgram"
        }
    ],
    "warnings": [],
    "errors": []
}

API specific error code

Error CodeDescriptionReason
814No Results FoundInvalid query parameter passed
8015Customer not found for the given identifiersInvalid userId passed
8069Merged customer foundAPI request is made for a customer who has been merged
Path Params
int64
required
Headers
string
Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json